#
# Copyright Cypress Semiconductor
# All Rights Reserved.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Cypress Semiconductor;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Cypress Semiconductor.
#

########################################################################
# Application source files
########################################################################
APP_SRC =  low_power_sensor.c
APP_SRC += wiced_bt_cfg.c
    
C_FLAGS += -DWICED_BT_TRACE_ENABLE

########################################################################
# SLEEP MODE configuration
########################################################################
C_FLAGS += -DSLEEP_MODE_NO_TRANSPORT=0
C_FLAGS += -DSLEEP_MODE_TRANSPORT=1

ifeq ($(SLEEP_MODE), SLEEP_MODE_NO_TRANSPORT)
C_FLAGS += -DWICED_SLEEP_MODE=0
else
ifeq ($(SLEEP_MODE), SLEEP_MODE_TRANSPORT)
C_FLAGS += -DWICED_SLEEP_MODE=1
endif
endif

########################################################################
# SLEEP type (SDS/PDS) configuration
########################################################################
C_FLAGS += -DSLEEP_TYPE_SDS=1
C_FLAGS += -DSLEEP_TYPE_PDS=2

ifeq ($(SLEEP_TYPE), SLEEP_TYPE_SDS)
C_FLAGS += -DWICED_SLEEP_TYPE=1
else
ifeq ($(SLEEP_TYPE), SLEEP_TYPE_PDS)
C_FLAGS += -DWICED_SLEEP_TYPE=2
endif
endif
